#
# spec file for package perl-LWP-Protocol-https
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name LWP-Protocol-https
Name:           perl-LWP-Protocol-https
VCS: https://src.suse.de/SLFO-pool/perl-LWP-Protocol-https#ee22e0d3458e77252bfeb4941244fa46099e4e4310f8a0c613838fb094648c2a
Version:        6.140.0
Release:        160000.1.3
# 6.14 -> normalize -> 6.140.0
%define cpan_version 6.14
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Provide https support for LWP::UserAgent
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/O/OA/OALDERS/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        cpanspec.yml
Patch0:         %{cpan_name}-6.09-systemca.diff
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(IO::Socket::SSL) >= 1.970
BuildRequires:  perl(IO::Socket::SSL::Utils)
BuildRequires:  perl(LWP::Protocol::http)
BuildRequires:  perl(LWP::UserAgent) >= 6.06
BuildRequires:  perl(Net::HTTPS) >= 6
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(Test::Needs) >= 0.002010
BuildRequires:  perl(Test::RequiresInternet)
Requires:       perl(IO::Socket::SSL) >= 1.970
Requires:       perl(LWP::Protocol::http)
Requires:       perl(LWP::UserAgent) >= 6.06
Requires:       perl(Net::HTTPS) >= 6
Provides:       perl(LWP::Protocol::https) = %{version}
Provides:       perl(LWP::Protocol::https::Socket) = %{version}
%undefine       __perllib_provides
%{perl_requires}

%description
The LWP::Protocol::https module provides support for using https schemed
URLs with LWP. This module is a plug-in to the LWP protocol handling, so
you don't use it directly. Once the module is installed LWP is able to
access sites using HTTP over SSL/TLS.

If hostname verification is requested by LWP::UserAgent's 'ssl_opts', and
neither 'SSL_ca_file' nor 'SSL_ca_path' is set, then 'SSL_ca_file' is
implied to be the one provided by Mozilla::CA. If the Mozilla::CA module
isn't available SSL requests will fail. Either install this module, set up
an alternative 'SSL_ca_file' or disable hostname verification.

This module used to be bundled with the libwww-perl, but it was unbundled
in v6.02 in order to be able to declare its dependencies properly for the
CPAN tool-chain. Applications that need https support can just declare
their dependency on LWP::Protocol::https and will no longer need to know
what underlying modules to install.

%prep
%autosetup  -n %{cpan_name}-%{cpan_version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes CONTRIBUTING.md
%license LICENSE

%changelog
* Fri Mar 22 2024 timueller+perl@suse.de
- updated to 6.14
  see /usr/share/doc/packages/perl-LWP-Protocol-https/Changes
  6.14      2024-03-11 01:08:33Z
  - Inherit with 'use parent' instead of 'use base' (GH#78) (Marin Tsanov)
* Fri Mar  8 2024 tina.mueller@suse.com
- Fix disabling of __perllib_provides
* Tue Feb  6 2024 timueller+perl@suse.de
- updated to 6.13
  see /usr/share/doc/packages/perl-LWP-Protocol-https/Changes
  6.13      2024-02-06 01:00:50Z
  - Fix ssl upgrade for regular host names (GH#77) (Axel Burri)
  6.12      2024-01-22 17:51:31Z
  - Enable MultiHomed for IO::Socket::SSL (GH#61) (ℕicolas ℝ.)
  - Making it possible to use IPv6 in https call through https proxy
    environment (in case of using CONNECT method to create a tunnel) (GH#74)
    (Dmitriy Shamatrin)
* Fri Aug 11 2023 tina.mueller@suse.com
- Remove CVE-2014-3230.patch, upstream was fixed. CVE-2014-3230, Debian #746576
* Fri Aug 11 2023 tina.mueller@suse.com
- Update LWP-Protocol-https-6.09-systemca.diff
* Mon Jul 10 2023 timueller+perl@suse.de
- updated to 6.11
  see /usr/share/doc/packages/perl-LWP-Protocol-https/Changes
  6.11      2023-07-09 15:10:30Z
  - Remove Authority section from dist.ini (GH#64) (Olaf Alders)
  - Add very basic diagnostic information via test (GH#73) (Olaf Alders)
  - CVE-2014-3230 - don't disable verification if only hostnames should not
    (GH#14) (Steffen Ullrich)
  - Make explicit requirement of Mozilla::CA obsolete (GH#72) (Steffen
    Ullrich and Olaf Alders)
  - Remove _in_san and _cn_match. Empty out the _check_sock hook (GH#71)
    (Chase Whitener)
  - Use warnings (GH#69) (Pete Houston)
* Fri Dec 18 2020 timueller+perl@suse.de
- updated to 6.10
  see /usr/share/doc/packages/perl-LWP-Protocol-https/Changes
  6.10      2020-12-17 15:42:06Z
  - Fix #39 - prevent user env from breaking the test (GH#63) (Gianni
    Ceccarelli)
  - Include Net::SSLeay in reported prereqs (GH#60) (Olaf Alders)
  - Use GitHub as a bug tracker (GH#59) (Olaf Alders)
* Thu Oct 15 2020 opensuse@dstoecker.de
- updated to 6.09
  see /usr/share/doc/packages/perl-LWP-Protocol-https/Changes
  6.09      2020-07-16 13:33:05Z
  - Make available the version of SSL/TLS protocol used in the connection
    (GH#56) (Jon Jensen)
  6.08      2020-03-23 20:19:22Z (TRIAL RELEASE)
  - Add defined check (GH#53) (Mohammad S Anwar)
  - Fix copyright year (GH#55) (Olaf Alders)
  - Upgrade Mozilla::CA dependency; originally #26 by dolmen (GH#54) (Shoichi Kaji)
  - Adds coverage tests (GH#51) (Juan Julin Merelo Guervs)
  - Migrated to DZil (GH PR#30)
  - Moved bug tracking from RT to GitHub (GH#48) (Olaf Alders)
  Rebase patch LWP-Protocol-https-6.04-systemca.diff to LWP-Protocol-https-6.09-systemca.diff
* Thu Sep 13 2018 pmonrealgonzalez@suse.com
- 6.07      2017-02-19
  - Cleaned up the Changes log
  - Explicitly add hostname for SNI to start_SSL (GH PR#17)
  - Fix the license name
  - Update some documentation on SSL args
  - Fix bug when checking for Mozilla::CA (GH PR#29)
- Refreshed patch LWP-Protocol-https-6.04-systemca.diff
- Cleaned spec file with spec-cleaner
* Thu Apr 23 2015 coolo@suse.com
- updated to 6.06
  see /usr/share/doc/packages/perl-LWP-Protocol-https/Changes
  2014-04-18 LWP-Protocol-https 6.06
  Mike Schilli (3):
    Merge pull request #12 from drieux/subjectAltName
    Merge pull request #9 from chorny/master
    Updated libwww requirement to 6.06 to fix failing t/proxy.t test cases.
  Gisle Aas (2):
    Getopt::Long isn't actually used
    Merge pull request #7 from noxxi/master
  Alexandr Ciornii (1):
    better diagnostics in case of failures in apache.t
  Karen Etheridge (1):
    Merge pull request #8 from cpansprout/patch-1
  Steffen Ullrich (1):
    correct behavior for https_proxy, this goes together with change to
    libwww-perl cb80c2ddb7, new method _upgrade_sock in LWP::Protocol::https
  cpansprout (1):
    Typo fix: envirionment =~ s/io/o/
  drieux (1):
    support for subjectAltName
  _______________________________________________________________________________
* Thu May 15 2014 vcizek@suse.com
- fix for CVE-2014-3230 (bnc#876862)
  * perl-LWP-Protocol-https: Environment variables HTTPS_CA_DIR or
    HTTPS_CA_FILE disable hostname verification
  * added CVE-2014-3230.patch
* Wed Apr 30 2014 lchiquitto@suse.com
- Remove old tarball (6.03).
* Wed Jul  3 2013 lnussel@suse.de
- Version 6.04
  * Fix IO::Socket::SSL warnings when not verifying hostname.
  * Doc spelling fix.
- Remove usage of Mozilla::CA entirely. IO::Socket::SSL will do the
  right thing instead.
* Tue Feb 21 2012 coolo@suse.com
- updated to 6.03
  * Skip test if offline [RT#74163]
  * Typo fixes
  * Restore perl-5.8.1 compatibility.
* Tue Mar 29 2011 vcizek@novell.com
- initial package 6.02
  * created by cpanspec 1.78.03
  This module used to be bundled with the libwww-perl, but it was unbundled in
  v6.02 in order to be able to declare its dependencies properly for the CPAN
  tool-chain.  Applications that need https support can just declare their
  dependency on LWP::Protocol::https and will no longer need to know what
  underlying modules to install.
